import request from '@/utils/request'
import { BASE } from './apiGateway'

var apiList = {
  //设备详情 紧急联系人
  getPatientDeviceDetail(params) {
    return request({
      url: `${BASE}/patient/device/getPatientDeviceDetail`,
      method: 'GET',
      params: params
    })
  },
  //设备信息
  getPatientDeviceData(params) {
    return request({
      url: `${BASE}/patient/device/getPatientDeviceData`,
      method: 'GET',
      params: params
    })
  },
  //气温 环境
  envMessage(params) {
    return request({
      url: `${BASE}/patient/device/envMessage`,
      method: 'GET',
      params: params
    })
  },
  //燃气浓度历史记录
  gasConcentration(params) {
    return request({
      url: `${BASE}/patient/device/gasConcentration`,
      method: 'GET',
      params: params
    })
  },
  //新增或者删除联系人
  updatePatientSosContacts(data) {
    return request({
      url: `${BASE}/doctor/device/updatePatientSosContacts`,
      method: 'post',
      data
    }) 
  }
}

export default apiList
